Package org.apache.tools.ant.taskdefs

# Class Local.Name

java.lang.Object
org.apache.tools.ant.taskdefs.Local.Name

All Implemented Interfaces:
  `Consumer<LocalProperties>`

Enclosing class:
  `Local`

public static class Local.Name extends Object implements Consumer<LocalProperties>
Nested `name` element.

Since:
  Ant 1.10.13

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Name()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(LocalProperties localProperties)`
  `void`
  `addText(String text)`
  Set the property name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Consumer

  `andThen`

- ## Constructor Details

  - ### Name

    public Name()

- ## Method Details

  - ### addText

    public void addText(String text)
    Set the property name.
    Parameters:
      `text` -

  - ### accept

    public void accept(LocalProperties localProperties)
    Specified by:
      `accept` in interface `Consumer<LocalProperties>`